*-----------------------------------------------------------------------
*     USPACK DRAW AXIS LINE                          S.Sakai  99/10/09
*-----------------------------------------------------------------------

      SUBROUTINE USPAXS(CSIDE, ISLCT)

      CHARACTER  CSIDE*(*), CS
      EXTERNAL   LENZ

      NCS = LENZ(CSIDE)
      DO 100 I=1, NCS
        CS = CSIDE(I:I)
        CALL CUPPER(CS)

        IF(CS.EQ.'T' .OR. CS.EQ.'B' .OR. CS.EQ.'H') THEN
          IF(CS.EQ.'H') CS='U'
          CALL UXSAXS(CS)
          CALL UXPAXS(CS, ISLCT)

        ELSEIF(CS.EQ.'L' .OR. CS.EQ.'R' .OR. CS.EQ.'V') THEN
          IF(CS.EQ.'V') CS='U'
          CALL UYSAXS(CS)
          CALL UYPAXS(CS, ISLCT)
        ENDIF

  100 CONTINUE

      END
